#ifndef JES_GUI_H
#define JES_GUI_H

#include "jes/Ref.h"
#include <SDL.h>
#include "FontManager.h"

namespace jes
{
    class GUI
    {
    public:
        bool load();
        int run();
    protected:
        SDL_Window * m_window;
        FontManagerRef m_font_manager;
    };

    typedef Ref<GUI> GUIRef;
}

#endif
